import {
	service
} from '../utils/request';
export function getJqTotal(params = {}) {
	return service({
		url: `/mosty-sjzx/zdgz/jqtj`,
		method: 'GET',
		params
	})
}

//获取车辆预警统计
export function getClyjTotal(params = {}) {
	return service({
		url: `/mosty-yjzl/yjxx/yjcl/yjbqtj`,
		method: 'GET',
		params
	})
}

//获取人员预警统计
export function getRyyjTotal(params = {}) {
	return service({
		url: `/mosty-yjzl/yjxx/yjry/yjjbtj`,
		method: 'GET',
		params
	})
}
//获取三车预警(新益州)
export function getScyjTotal(params = {}) {
	return service({
		url: `/mosty-sjzx/ztfx/fascryyj/scryyj`,
		method: 'GET',
		params
	})
}

//获取行动信息(新益州)
export function getXdxxTotal(params = {}) {
	return service({
		url: `/mosty-bkzx/xdxx/xdxxtj`,
		method: 'GET',
		params
	})
}
//获取行动人员(新益州)
export function getXdryTotal(params = {}) {
	return service({
		url: `/mosty-bkzx/xdxx/xdrytj`,
		method: 'GET',
		params
	})
}
//查询用户首页模板配置信息
export function getQueryUserConfig(params = {}) {
	return service({
		url: `/mosty-base/sysUserAppHomeconfig/queryUserConfig`,
		method: 'GET',
		params
	})
}
//查询默认首页模板配置信息
export function getQueryConfig(params = {}) {
	return service({
		url: `/mosty-base/sysAppHomeconfig/queryConfig`,
		method: 'GET',
		params
	})
}
//获取人员预警统计
export function getRyyjJbTotal(params = {}) {
	return service({
		url: `/mosty-yjzl/yjxx/yjry/yjjbtj`,
		method: 'GET',
		params
	})
}

//获取车辆预警统计
export function getClyjTypeTotal(params = {}) {
	return service({
		url: `/mosty-yjzl/yjxx/yjcl/yjbqtj`,
		method: 'GET',
		params
	})
}

//获取行动信息列表
export function getXdxxList(params = {}) {
	return service({
		url: `/mosty-bkzx/xdxx/xdxxlb`,
		method: 'GET',
		params
	})
}

//获取行动人员列表
export function getXdryList(params = {}) {
	return service({
		url: `/mosty-bkzx/xdxx/xdrylb`,
		method: 'GET',
		params
	})
}

//获取行动人员详情
export function getXdryDetail(params = {}) {
	return service({
		url: `/mosty-bkzx/xdxx/queryXdxxBYSzfh`,
		method: 'GET',
		params
	})
}

//获取用户所有身份
export function getUserSelectPage(params = {}) {
	return service({
		url: `/mosty-base/sysAppHomeconfig/selectPage`,
		method: 'GET',
		params
	})
}

// 查询街面巡组,力量,时长,里程
export function selectDeck1(data) {
	return service({
		url: `/mosty-qwzx/tbQwXfbb/selectDeck`,
		method: "GET",
		params: data
	});
};

//获取指令数
export function getZlsl(params = {}) {
	return service({
		url: '/mosty-yjzl/tbZl/getStatisticsByStatus',
		method: 'GET',
		params
	})
}
// APP地图页人车盘查的统计接口
export function selectDeck3(data) {
	return service({
		url: `/mosty-hczx/hczx/getTodayBpcryAndBpccl`,
		method: "GET",
		params: data
	});
};

// APP一键报警
export function addYjbj(data) {
	return service({
		url: `/mosty-sjzx/tbJq/addYjbj `,
		method: "POST",
		data
	});
};